net.i2p.update

## Enum UpdateType

- java.lang.Object
- - java.lang.Enum<UpdateType>
  - - net.i2p.update.UpdateType

- All Implemented Interfaces:
    Serializable, Comparable<UpdateType>

      public enum UpdateType
      extends Enum<UpdateType>

  What to update

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ADDRESSBOOK` unused
    `API` API updates @since 0.9.53
    `BLOCKLIST` Blocklist updates
    `GEOIP` GeoIP database updates
    `HOMEPAGE` unused
    `NEWS` News and announcements
    `NEWS_SU3` News updates in SU3 format @since 0.9.15
    `PLUGIN` Plugin updates
    `RESEED` unused
    `ROUTER_DEV_SU3` Development router updates in SU3 format @since 0.9.17
    `ROUTER_SIGNED` Signed router updates
    `ROUTER_SIGNED_SU3` Signed router updates in SU3 format @since 0.9.9
    `ROUTER_UNSIGNED` Unsigned router updates
    `TYPE_DUMMY` Dummy: internal use only

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static UpdateType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static UpdateType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ADDRESSBOOK

          public static final UpdateType ADDRESSBOOK

      unused

    - #### API

          public static final UpdateType API

      API updates @since 0.9.53

    - #### BLOCKLIST

          public static final UpdateType BLOCKLIST

      Blocklist updates

    - #### GEOIP

          public static final UpdateType GEOIP

      GeoIP database updates

    - #### HOMEPAGE

          public static final UpdateType HOMEPAGE

      unused

    - #### NEWS

          public static final UpdateType NEWS

      News and announcements

    - #### NEWS_SU3

          public static final UpdateType NEWS_SU3

      News updates in SU3 format @since 0.9.15

    - #### PLUGIN

          public static final UpdateType PLUGIN

      Plugin updates

    - #### RESEED

          public static final UpdateType RESEED

      unused

    - #### ROUTER_DEV_SU3

          public static final UpdateType ROUTER_DEV_SU3

      Development router updates in SU3 format @since 0.9.17

    - #### ROUTER_SIGNED

          public static final UpdateType ROUTER_SIGNED

      Signed router updates

    - #### ROUTER_SIGNED_SU3

          public static final UpdateType ROUTER_SIGNED_SU3

      Signed router updates in SU3 format @since 0.9.9

    - #### ROUTER_UNSIGNED

          public static final UpdateType ROUTER_UNSIGNED

      Unsigned router updates

    - #### TYPE_DUMMY

          public static final UpdateType TYPE_DUMMY

      Dummy: internal use only

  - ### Method Detail

    - #### valueOf

          public static UpdateType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### values

          public static UpdateType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (UpdateType c : UpdateType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared